National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2012-1128 Detail

Description

FreeType before 2.4.9, as used in Mozilla Firefox Mobile before 10.0.4 and other products, allows remote attackers to cause a denial of service (NULL pointer dereference and memory corruption) or possibly execute arbitrary code via a crafted TrueType font.

Source:  MITRE
Description Last Modified:  04/25/2012

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 9.3 HIGH
Vector: (AV:N/AC:M/Au:N/C:C/I:C/A:C) (V2 legend)
Impact Subscore: 10.0
Exploitability Subscore: 8.6


Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (AU): None
Confidentiality (C): Complete
Integrity (I): Complete
Availability (A): Complete
Additional Information:
Victim must voluntarily interact with attack mechanism
Allows unauthorized disclosure of information
Allows unauthorized modification
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://lists.apple.com/archives/security-announce/2012/Sep/msg00003.html
http://lists.opensuse.org/opensuse-security-announce/2012-04/msg00003.html
http://lists.opensuse.org/opensuse-security-announce/2012-04/msg00004.html
http://secunia.com/advisories/48508
http://security.gentoo.org/glsa/glsa-201204-04.xml
http://support.apple.com/kb/HT5503
http://www.mandriva.com/security/advisories?name=MDVSA-2012:057
http://www.mozilla.org/security/announce/2012/mfsa2012-21.html Vendor Advisory
http://www.openwall.com/lists/oss-security/2012/03/06/16
http://www.securityfocus.com/bid/52318
http://www.securitytracker.com/id?1026765
http://www.ubuntu.com/usn/USN-1403-1
https://bugzilla.mozilla.org/show_bug.cgi?id=733512
https://bugzilla.redhat.com/show_bug.cgi?id=800584

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.3

Configuration 1
OR
cpe:/a:freetype:freetype:1.3.1
cpe:/a:freetype:freetype:2.0
cpe:/a:freetype:freetype:2.0.1
cpe:/a:freetype:freetype:2.0.2
cpe:/a:freetype:freetype:2.0.3
cpe:/a:freetype:freetype:2.0.4
cpe:/a:freetype:freetype:2.0.5
cpe:/a:freetype:freetype:2.0.6
cpe:/a:freetype:freetype:2.0.7
cpe:/a:freetype:freetype:2.0.8
cpe:/a:freetype:freetype:2.0.9
cpe:/a:freetype:freetype:2.1
cpe:/a:freetype:freetype:2.1.3
cpe:/a:freetype:freetype:2.1.4
cpe:/a:freetype:freetype:2.1.5
cpe:/a:freetype:freetype:2.1.6
cpe:/a:freetype:freetype:2.1.7
cpe:/a:freetype:freetype:2.1.8
cpe:/a:freetype:freetype:2.1.8:rc1
cpe:/a:freetype:freetype:2.1.8_rc1
cpe:/a:freetype:freetype:2.1.9
cpe:/a:freetype:freetype:2.1.10
cpe:/a:freetype:freetype:2.2
cpe:/a:freetype:freetype:2.2.1
cpe:/a:freetype:freetype:2.3.0
cpe:/a:freetype:freetype:2.3.1
cpe:/a:freetype:freetype:2.3.2
cpe:/a:freetype:freetype:2.3.3
cpe:/a:freetype:freetype:2.3.4
cpe:/a:freetype:freetype:2.3.5
cpe:/a:freetype:freetype:2.3.6
cpe:/a:freetype:freetype:2.3.7
cpe:/a:freetype:freetype:2.3.8
cpe:/a:freetype:freetype:2.3.9
cpe:/a:freetype:freetype:2.3.10
cpe:/a:freetype:freetype:2.3.11
cpe:/a:freetype:freetype:2.3.12
cpe:/a:freetype:freetype:2.4.0
cpe:/a:freetype:freetype:2.4.1
cpe:/a:freetype:freetype:2.4.2
cpe:/a:freetype:freetype:2.4.3
cpe:/a:freetype:freetype:2.4.4
cpe:/a:freetype:freetype:2.4.5
cpe:/a:freetype:freetype:2.4.6
cpe:/a:freetype:freetype:2.4.7
cpe:/a:freetype:freetype    versions up to (including) 2.4.8
cpe:/a:mozilla:firefox_mobile:1.0
cpe:/a:mozilla:firefox_mobile:4.0
cpe:/a:mozilla:firefox_mobile:4.0:beta1
cpe:/a:mozilla:firefox_mobile:4.0:beta2
cpe:/a:mozilla:firefox_mobile:4.0:beta3
cpe:/a:mozilla:firefox_mobile:4.0:beta4
cpe:/a:mozilla:firefox_mobile:5.0
cpe:/a:mozilla:firefox_mobile:6.0
cpe:/a:mozilla:firefox_mobile:6.0.1
cpe:/a:mozilla:firefox_mobile:6.0.2
cpe:/a:mozilla:firefox_mobile:7.0
cpe:/a:mozilla:firefox_mobile:8.0
cpe:/a:mozilla:firefox_mobile:9.0
cpe:/a:mozilla:firefox_mobile:10.0
cpe:/a:mozilla:firefox_mobile:10.0.1
cpe:/a:mozilla:firefox_mobile:10.0.2
cpe:/a:mozilla:firefox_mobile    versions up to (including) 10.0.3

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

5 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2012-1128
NVD Published Date:
04/25/2012
NVD Last Modified:
01/17/2018